"Add JUnit library" in Eclipes does not have "Junit 5" option

In addition to greg's answer, I want to point out that you can already use Oxygen with JUnit 5. The steps to set it up are documented in the Eclipse Wiki. (I'd rather not repeat them here because it is likely that they will change, in which case this answer would be outdated.)


According to Eclipse bug 488566 support for JUnit 5 will not be released until Eclipse Oxygen.1 (4.7.1) planned for September 2017.


Take a look here (it provides an example of using JUnit 5 M3 on Eclipse 4.7 M6).